commit:     cf17a825f19b7ee37f6d97523076bc69fe3745d0
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  1 04:52:24 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jun  1 04:52:24 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf17a825

media-libs/exempi: add 2.6.6

Bug: https://bugs.gentoo.org/956991
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/exempi/Manifest            |  1 +
 media-libs/exempi/exempi-2.6.6.ebuild | 71 +++++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/media-libs/exempi/Manifest b/media-libs/exempi/Manifest
index 93067f93de3f..1e22b31df706 100644
--- a/media-libs/exempi/Manifest
+++ b/media-libs/exempi/Manifest
@@ -1 +1,2 @@
 DIST exempi-2.6.5.tar.xz 2843132 BLAKE2B 
bc8c347af4c9c7bf085311ce055bd1c7cd5c2b845c723dd74bbcdf104be018885a82180333dbdda3cf9a64a4125dfe0fa0904fbd05663c3a6c32e6a60a8ca2d3
 SHA512 
71a0830c7a547bd7304e38f307a17a5ca70d6d22bb94db93f7e6c0903d1a1a1e211487cd530ec81fb058d0b45224018d23aab9a9394b6cfa025c50f0d77b5002
+DIST exempi-2.6.6.tar.xz 2845064 BLAKE2B 
96d400e94deb46ac45c7a425268a859ef7e8d12357cbbb0143c0a0dfd367d31fbf763e50e62f7bad67ab7771562f8b8b6208b98adbb1f16b9e0457fc79f66a37
 SHA512 
68d882c1e8a3bd0e40afc2120ebe646d6308d599cc30abfec0218f603e9f85c11f1b01e7ba97a665bad435502e632d4ad6a7f082e6bc067e1362b9036993edd8

diff --git a/media-libs/exempi/exempi-2.6.6.ebuild 
b/media-libs/exempi/exempi-2.6.6.ebuild
new file mode 100644
index 000000000000..08f639ebc36e
--- /dev/null
+++ b/media-libs/exempi/exempi-2.6.6.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="Port of the Adobe XMP SDK to work on UNIX"
+HOMEPAGE="https://libopenraw.freedesktop.org/wiki/Exempi";
+SRC_URI="https://libopenraw.freedesktop.org/download/${P}.tar.xz";
+
+LICENSE="BSD"
+SLOT="2/8"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-libs/expat-2:=
+       sys-libs/zlib
+       virtual/libiconv
+"
+DEPEND="
+       ${RDEPEND}
+       test? ( dev-libs/boost )
+"
+BDEPEND="
+       dev-build/autoconf-archive
+       sys-devel/gettext
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.4.2-iconv.patch
+)
+
+src_prepare() {
+       default
+
+       # Needed for autoconf 2.71
+       config_rpath_update .
+       eautoreconf
+}
+
+src_configure() {
+       # ODR & SA violations
+       filter-lto
+       append-flags -fno-strict-aliasing
+
+       # - --enable-static as --disable-static breaks build
+       # - Valgrind detection is "disabled" due to bug #295875
+       econf \
+               --enable-static \
+               $(use_enable test unittest) \
+               VALGRIND=""
+}
+
+src_install() {
+       default
+
+       if use examples; then
+               emake -C samples/source distclean
+               rm samples/{,source,testfiles}/Makefile* || die
+               docinto examples
+               dodoc -r samples/.
+       fi
+
+       # --disable-static breaks tests
+       rm -rf "${ED}/usr/$(get_libdir)/libexempi.a" || die
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to